pydo.genai.list_model_evaluation_metrics()

Generated on 1 Oct 2026 from pydo version v0.43.0

Usage

client.genai.list_model_evaluation_metrics()
Returns JSONRaises HttpResponseError

Description

To list all available metrics for model evaluation, send a GET request to /v2/genai/model_evaluation_metrics.

Response Example

Show Response Example
{
  "metrics": [
    {
      "associated_presets": [],
      "category": "METRIC_CATEGORY_UNSPECIFIED",
      "description": "example string",
      "evaluation_scope": "EVALUATION_SCOPE_UNSPECIFIED",
      "inverted": true,
      "is_metric_goal": true,
      "metric_name": "example name",
      "metric_rank": 123,
      "metric_type": "METRIC_TYPE_UNSPECIFIED",
      "metric_uuid": "123e4567-e89b-12d3-a456-426614174000",
      "metric_value_type": "METRIC_VALUE_TYPE_UNSPECIFIED",
      "range_max": 123,
      "range_min": 123,
      "source": "EVALUATION_METRIC_SOURCE_UNSPECIFIED"
    }
  ]
}

More Information

See /v2/gen-ai/model_evaluation_metrics in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.